% for interface, config in sorted(interfaces.items()):
interface ${interface}
{
    AdvSendAdvert on;
    MinRtrAdvInterval 60;
    MaxRtrAdvInterval 300;
    MinDelayBetweenRAs 10;
    prefix ${config.get('prefix', '::/64')}
    {
        AdvOnLink on;
        AdvAutonomous on;
        AdvRouterAddr on;
    };
% if config.get('rdnss'):
    RDNSS ${' '.join(sorted(config['rdnss']))}
    {
        AdvRDNSSLifetime 900;
    };
% endif
};
% endfor
